Subject: RE: [MPLS-OPS]: Nos of Labels in CE

From: "M. ELK" <[email-masked]>
Date: Sat, 21 Jun 2003 09:38:42 +0000

John

AFAIK

U are assuming that the PE to CE is conncected by a single p-2-p link ,which 
is normally the case but
consider that it is also possible to connect PE to CE by several p-2-p 
interfaces and still run a single
eBGP session between the PE and CE ( Load Sharing Using the Loopback Address 
as a BGP Neighbor, http://www.cisco.com/warp/public/459/40.html#1) .

As Per the approach U describe (single label for all routes learned from a 
certain BGP neighbor) ,only
one interface will be used for traffic .

As another case :
Consider a MCS (Mission critical site) composed of 2 CE's connected to the 
same PE on the same VRF.
CE1 advertise 10./8 with mid=10 over intf1 and CE1 advertise 10./8 with 
mid=100 over intf2 .
With the approach U descripe PE will bind assign L1 to all routes learned 
from CE1 and
L2 to all routes learned from CE2 .
PE will advertise RD:10./8 with L1 .
assume now that CE1 advertise 10./8 with mid=200  so the PE have to withdraw 
RD:10./8 and
re-advertise RD:10./8 with Label L2 (actually it is done by implicit 
withdraw by re-advertising Rd:10/8
with the new label L2 ) . so we creating Mp-BGP extra advertisement for no 
good reason .

On the other side ,consider PE advertise RD:10./8 with L3 which is selected 
randomly .
First L3 is pointing to IF1 . after the MID change the PE have to just 
update it's internal table to
point L3 to If2 without any MP-BGP re-advertisement .

Brgds

>From: John Smith <[email-masked]>
>To: [email-masked], [email-masked]
>CC: [email-masked]
>Subject: RE: [MPLS-OPS]: Nos of Labels in CE
>Date: Fri, 20 Jun 2003 15:53:36 +0100 (BST)
>
>Vinay,
>
> > Either you have one label per route and associate the next hop L2
> > information (usually the destination mac address) with the label and 
>save it
> > in the lookup table OR you pop the label and do a lookup on the IP DA to
> > figure out the next hop that you can ARP (assuming it is still ethernet) 
>to
> > get the next hop L2 information.
>
>The latter suits fine to me.
>
> >
> > However, if you have point to point link (say PPP) as the outgoing
> > interface, then it might make some sort of sense to associate label 
>binding
> > for IP routes based on outgoing links. But if you do that you lost your
> > ability to load balance unless you can figure out a way to associate
> > multiple label bindings for the same IP routes emanating from different
> > interfaces.
>
>I think i wasnt clear in stating my problem. What i want to do is to bind a 
>label to an
>interface, rather than the routes which i recieve. Say, i have a BGP CE 
>peering over an
>interface - What this means is that my BGP peering takes place through one 
>interface. I
>will now bind one label Lx for this interface. I will be advertising this 
>label for all
>the routes which i learn from this peer as i know it will always be this 
>peer which i
>will use as my next-hop (as its an EBGP peer).
>
>Is this correct?
>
>Is it okay to associate a Label Lx with a BGP CE peer (implicitly an 
>interface) and to
>always use when i need to advertise routes learnt from this peer.
>
>Lets verify that data forwarding will be done correctly?
>
>If this router recieves a MPLS packet with the BGP label as Lx, it will 
>simply pop off
>this label and push the native IPv4 packet on the interface over which the 
>BGP peering
>takes place. This packet when reaches the EBGP CE peer, will decide where 
>it needs to
>forward this packet.
>
>I think it works fine - and thus my idea of binding an interface to a 
>Label!!
>
>Does anyone see any problems in this?
>
>Regards,
>JOhn Smith
>
>
>
>
>________________________________________________________________________
>Want to chat instantly with your online friends?  Get the FREE Yahoo!
>Messenger http://uk.messenger.yahoo.com/
>
>-------
>The MPLS-OPS Mailing List
>Subscribe/Unsubscribe:  http://www.mplsrc.com/mplsops.shtml
>Archive: http://www.mplsrc.com/mpls-ops_archive.shtml

_________________________________________________________________
Add photos to your messages with MSN 8. Get 2 months FREE*. 
http://join.msn.com/?page=features/featuredemail